<?php
defined('ABSPATH') or die;

/**
 * @var Mewz\Framework\Services\View $this
 * @var \WC_Product $product
 */

$multiplier_desc = sprintf(__('Set a stock multiplier for product stock%s and attribute stock. Overrides attribute stock level multipliers. Variation level multipliers take priority.', 'woocommerce-attribute-stock'), MEWZ_WCAS_LITE ? ' ' . __(' (full version only)', 'woocommerce-attribute-stock') : '');
?>

<div class="mewz-wcas-options options_group show_if_simple show_if_variable">

<?php woocommerce_wp_text_input([
	'id' => '_mewz_wcas_multiplier',
	'value' => $product->get_meta('_mewz_wcas_multiplier'),
	'label' => __('Stock multiplier', 'woocommerce-attribute-stock'),
	'desc_tip' => true,
	'description' => $multiplier_desc,
	'type' => 'number',
	'custom_attributes' => [
		'step' => 'any',
		'min' => '0',
	],
]); ?>

<?php woocommerce_wp_checkbox([
	'id' => '_mewz_wcas_exclude',
	'value' => (int)$product->get_meta('_mewz_wcas_exclude'),
	'cbvalue' => 1,
	'label' => __('Ignore attribute stock', 'woocommerce-attribute-stock'),
	'description' => __('Exclude this product from affecting or being affected by attribute stock', 'woocommerce-attribute-stock'),
]); ?>

</div>
